import Vue from 'vue'
import VueRouter from 'vue-router'
import DroneOperation from '../views/DroneOperation.vue'
import OrderDetails from '../views/OrderDetails.vue'

Vue.use(VueRouter)

const routes = [
  // {
  //   path: '',
  //   // name: 'OrderDetails',
  //   // component: OrderDetails,
  //   // meta: { requiresAuth: true },
  //   redirect: '/',
  // },
  {
    path: '/',
    name: 'OrderDetails',
    component: OrderDetails,
    meta: { requiresAuth: true },
  },
  {
    path: '/droneOperation',
    name: 'DroneOperation',
    component: DroneOperation,
    meta: { requiresAuth: true }
  }
]

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

// 导航守卫
router.beforeEach((to, from, next) => {
  next();
  // // 检查路由是否需要身份验证
  // if (to.matched.some(record => record.meta.requiresAuth)) {
  //   // 检查用户是否已登录
  //   const isLoggedIn = localStorage.getItem('droneLoggedIn') === 'true';
    
  //   if (!isLoggedIn) {
  //     // 如果未登录，重定向到登录页面
  //     next({
  //       path: '/login',
  //       query: { redirect: to.fullPath } // 保存原本要访问的路径
  //     });
  //   } else {
  //     // 如果已登录，正常进入
  //     next();
  //   }
  // } else {
  //   // 不需要身份验证的路由，正常进入
  //   next();
  // }
});

export default router